#
# spec file for package xawtv (Version 3.61)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  aalib aalib-devel glib glib-devel libjpeg libpng openmotif openmotif-devel quicktime4linux quicktime4linux-devel slang xdevel xf86 xpm
# usedforbuild    aaa_base aaa_dir aalib aalib-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less libjpeg libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openmotif openmotif-devel pam pam-devel patch perl ps quicktime4linux quicktime4linux-devel rcs readline rpm sendmail sh-utils shadow slang strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xawtv
Copyright:    (C) 1997-2001 Gerd Knorr <kraxel@suse.de>
Group:        Applications/Multimedia
Requires:     v4l-conf, tv-common
Autoreqprov:  on
Version:      3.61
Release:      33
Summary:      Video4Linux TV application (Athena)
Source:       http://bytesex.org/xawtv/%{name}_%{version}.tar.gz
Patch0:       bugfixes.diff
Buildroot:    /var/tmp/root.%{name}-%{version}.tar.gz

%description
xawtv is a X11 application for watching TV with your linux box.  It
supports video4linux devices (for example bttv cards, various USB
webcams, ...).  It uses the Athena widgets. 

Authors:
--------
    Gerd Knorr <kraxel@suse.de>

SuSE series: xap

%package      -n motv
Summary:      Video4Linux TV application (Motif)
Group:        Applications/Multimedia
Requires:     v4l-conf, tv-common
Provides:     xawtv:/usr/X11R6/bin/motv

%description  -n motv
motv is a X11 application for watching TV with your Linux box.  It
supports video4linux devices (for example bttv cards, various USB
webcams, ...).  It's based on xawtv's code, but uses Motif to provide a
better GUI.

Authors:
--------
    Gerd Knorr <kraxel@suse.de>

SuSE series: xap

%package      -n tv-common
Summary:      fonts, tools and some README's for motv and xawtv
Group:        Applications/Multimedia
Provides:     xawtv:/usr/X11R6/lib/X11/fonts/misc/led-iso8859-1.bdf

%description  -n tv-common
This package includes some X11 fonts used by motv and xawtv, some
utilities for them (xawtv-remote for example), and some README files.

Authors:
--------
    Gerd Knorr <kraxel@suse.de>

SuSE series: xap

%package      -n v4l-conf
Summary:      video4linux configuration tool
Group:        Applications/Multimedia
Provides:     xawtv:/usr/X11R6/bin/v4l-conf

%description  -n v4l-conf
This is a small utility used to configure video4linux device drivers
(bttv for example).  xawtv, motv and fbtv need it.

Authors:
--------
    Gerd Knorr <kraxel@suse.de>

SuSE series: xap

%package      -n v4l-tools
Summary:      video4linux terminal / command line utilities.
Group:        Applications/Multimedia
Requires:     v4l-conf
Provides:     xawtv:/usr/X11R6/bin/v4lctl

%description  -n v4l-tools
This package includes a bunch of command line utilities:  v4lctl to
control video4linux devices; streamer to record movies; fbtv to
watch TV on the framebuffer console; ttv to watch tv on any ttv (powered
by aalib), webcam for capturing and uploading images, a curses radio
application, ...

Authors:
--------
    Gerd Knorr <kraxel@suse.de>

SuSE series: xap

%package      -n alevtd
Summary:      http server for teletext pages
Group:        Networking/Daemons

%description  -n alevtd
alevtd reads the teletext pages from /dev/vbi and allows to fetch them
via http, i.e. you can read the teletext pages with a web browser.

Authors:
--------
    Gerd Knorr <kraxel@suse.de>
    Edgar Toernig <froese@gmx.de>

SuSE series: n

%prep
%setup -q
%patch0 -p1 -b .fix

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr/X11R6 --disable-lirc
make depend
make all

%install
make DESTDIR="%{buildroot}" SUID_ROOT="" install
gzip -v %{buildroot}/usr/X11R6/man/man*/*

%files
%defattr(-,root,root)
%doc COPYING
%doc Changes TODO README README.*
%doc Programming-FAQ UPDATE_TO_v3.0
%doc contrib/dot.lircrc contrib/frequencies*
/usr/X11R6/bin/xawtv
/usr/X11R6/man/man1/xawtv.1.gz
/usr/X11R6/lib/X11/app-defaults/Xawtv
/usr/X11R6/bin/rootv
/usr/X11R6/man/man1/rootv.1.gz

%files -n motv
%defattr(-,root,root)
%doc COPYING
%doc Changes TODO README README.*
/usr/X11R6/bin/motv
/usr/X11R6/man/man1/motv.1.gz
/usr/X11R6/lib/X11/app-defaults/MoTV
/usr/X11R6/lib/X11/*/app-defaults/MoTV

%files -n tv-common
%defattr(-,root,root)
%doc COPYING
/usr/X11R6/bin/subtitles
/usr/X11R6/man/man1/subtitles.1.gz
/usr/X11R6/bin/xawtv-remote
/usr/X11R6/man/man1/xawtv-remote.1.gz
/usr/X11R6/bin/propwatch
/usr/X11R6/man/man1/propwatch.1.gz
/usr/X11R6/man/man5/xawtvrc.5.gz
/usr/X11R6/lib/X11/fonts/misc/led*

%files -n v4l-conf
%defattr(-,root,root)
%doc COPYING
%attr(4711,root,root) /usr/X11R6/bin/v4l-conf
/usr/X11R6/man/man8/v4l-conf.8.gz

%files -n v4l-tools
%defattr(-,root,root)
%doc COPYING
/usr/X11R6/bin/radio
/usr/X11R6/man/man1/radio.1.gz
/usr/X11R6/bin/fbtv
/usr/X11R6/man/man1/fbtv.1.gz
/usr/X11R6/bin/ttv
/usr/X11R6/man/man1/ttv.1.gz
/usr/X11R6/bin/streamer
/usr/X11R6/man/man1/streamer.1.gz
/usr/X11R6/bin/v4lctl
/usr/X11R6/man/man1/v4lctl.1.gz
/usr/X11R6/bin/record
/usr/X11R6/man/man1/record.1.gz
/usr/X11R6/bin/dump-mixers
/usr/X11R6/man/man1/dump-mixers.1.gz
/usr/X11R6/bin/showriff
/usr/X11R6/man/man1/showriff.1.gz
/usr/X11R6/bin/scantv
/usr/X11R6/man/man1/scantv.1.gz
/usr/X11R6/bin/webcam
/usr/X11R6/man/man1/webcam.1.gz

%files -n alevtd
%defattr(-,root,root)
%doc COPYING
/usr/X11R6/bin/alevtd
/usr/X11R6/man/man1/alevtd.1.gz

%clean
if test "%{buildroot}" != ""; then
	rm -rf "%{buildroot}"
fi

%changelog -n xawtv
* Tue Sep 11 2001 - kraxel@suse.de
- fixed bugzilla #10420
- merged another one-liner fix for a segfault from current
  xawtv tree.
* Mon Sep 03 2001 - kraxel@suse.de
- updated to version 3.61
* Fri Aug 31 2001 - ro@suse.de
- added slang to neededforbuild (for aalib)
* Wed Aug 15 2001 - kraxel@suse.de
- updated to version 3.60
* Mon Jul 30 2001 - kraxel@suse.de
- updated to version 3.57
* Fri Jul 20 2001 - kraxel@suse.de
- splitted into multiple, smaller packages.
* Tue Jul 17 2001 - kraxel@suse.de
- updated to version 3.56
* Wed Jul 11 2001 - kraxel@suse.de
- updated to version 3.55
* Mon Jun 25 2001 - kraxel@suse.de
- updated to version 3.53
* Mon Apr 30 2001 - kraxel@suse.de
- Deleted the %%post script with mkfontdir.  It's not required as
  /sbin/conf.d/SuSEconfig.fonts does that and causes problems
  at install time [bug #7425]
* Mon Apr 09 2001 - kraxel@suse.de
- updated to version 3.43
- fixed %%post script
* Fri Apr 06 2001 - kraxel@suse.de
- updated to version 3.42
- build with quicktime4linux lib and xfree4
- created new subpackage for alevtd
* Thu Apr 05 2001 - uli@suse.de
- removed lx_suse from neededforbuild
* Thu Jan 11 2001 - ro@suse.de
- fixed doc list
* Mon Jan 08 2001 - mt@suse.de
- renamed consolefont lat1-16.psf* to lat1-16.psfu* in fbtools.c
* Sun Aug 27 2000 - mt@suse.de
- added xf86_3x and xdevel3 to #needforbuild
* Wed Jul 05 2000 - mt@suse.de
- update to 3.17 (works really fine with lx_suse >= 2.2.16-7)
- kradio is not a part of the xawtv source any more
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Sat Jul 17 1999 - mt@suse.de
- updated to 2.46 (bug fixes version)
- added some security patches
* Wed Jun 02 1999 - mt@suse.de
- fixed ChannelEditor PopDown-Action (Close Button)
* Wed Jun 02 1999 - mt@suse.de
- updated to 2.45
- adapted security fixes/checks by marc from previous releases
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Thu Mar 25 1999 - mt@suse.de
- security fixes/checks by marc
* Fri Mar 19 1999 - mt@suse.de
- fixed filelist in spec
* Fri Mar 19 1999 - mt@suse.de
- new version 2.38
* Mon Nov 16 1998 - mt@suse.de
- new version 2.29
* Wed Oct 07 1998 - ro@suse.de
- detect which directory contains QT
* Mon Jul 13 1998 - mt@suse.de
- added /usr/bin/radio, changed /dev/radio to /dev/bttv-fm (c,81,64)
* Sat Jul 11 1998 - bs@suse.de
- fixed neededforbuild
* Fri Jul 10 1998 - mt@suse.de
- new version 2.14 with v4l interface
